
Gisaf - Bug #3515

Wells levels data file import error, data not updated in the map

17/01/2017 16:08 - Giulio Di Anastasio

Status: Closed Start date: 17/01/2017

Priority: High Due date:  

Assignee: Giulio Di Anastasio % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: demo Spent time: 0.00 hour

Description

Dear Philippe,

I uploaded the updated excel file of wells level in the basket.

When trying to import, I got the error

Error importing: ""

The same error I got when I tried to import the new shapefile of wells, which first I uploaded in the basket.

I attach here both the files, for your reference

Waiting for your update, thanks

Giulio

Associated revisions

Revision 31b068f6 - 19/01/2017 15:34 - Philippe May 

Fixes #3515: map attributes to table column names when importing; also fix an issue with the map when a style for this layer is empty

History

#1 - 18/01/2017 16:08 - Philippe May

- Assignee set to Giulio Di Anastasio

You need to indicate the table name (well for the shapefile, well_level for the data): click on the pencil icon and you'll get a form with a drop down

menu.

When you import a file in the basket, that drop down menu appears so there's no need to go to the pencil icon road.

Ideally, i'll get the software to issue a better error message.

#2 - 19/01/2017 12:47 - Philippe May

I've just seen you've put the table names.

For the data file: OK.

For the shapefile: there's an error message (Error importing: "Entity '<class 'gisaf.models.Well'>' has no property 'wellcode'"), i'm checking now and

will get back to you.

#3 - 19/01/2017 13:00 - Philippe May

I think there's a bug: the names of the fields (wellcode) have changed recently.

Sorry for that, working on it.

07/07/2025 1/2



#4 - 19/01/2017 15:40 - Anonymous

- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset gisaf|31b068f6d7a22b7a523460325523c3f500ba6d4a.

#5 - 19/01/2017 15:42 - Philippe May

Hopefully it's fixed. I tried on my machine and on the test environment with success.

Giulio, I'll let you try on the production site.

#6 - 17/11/2017 12:30 - Philippe May

- Status changed from Resolved to Closed

Files

Wells water levels as on 09.01.2017.xlsx 22.5 KB 17/01/2017 Giulio Di Anastasio

wells 20170117 Giulio.zip 8.67 KB 17/01/2017 Giulio Di Anastasio

Powered by TCPDF (www.tcpdf.org)

07/07/2025 2/2

https://redmine.auroville.org.in/projects/gisaf/repository/revisions/31b068f6d7a22b7a523460325523c3f500ba6d4a
http://www.tcpdf.org

